%global srcname sphinx_rtd_theme

%bcond_with bootstrap

Summary:       Sphinx theme for readthedocs.org
Name:          python-%{srcname}
Version:       1.2.2
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/rtfd/%{srcname}
Source0:       %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

Patch0001:     https://github.com/readthedocs/sphinx_rtd_theme/pull/1464.patch
Patch3000:     %{name}-html5shiv.patch

BuildRequires: font(fontawesome) font(lato) font(robotoslab) make python%{python3_pkgversion}-devel
BuildRequires: %{py3_dist docutils} %{py3_dist pip} %{py3_dist setuptools} %{py3_dist wheel}
%if %{without bootstrap}
BuildRequires: %{py3_dist pytest} %{py3_dist sphinx} %{py3_dist sphinxcontrib-httpdomain}
%endif

BuildArch:      noarch

%description
This is a prototype mobile-friendly sphinx theme for readthedocs.org.  It's currently in development
and includes some rtd variable checks that can be ignored if you're just trying to use it on your
project outside of that site.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Sphinx theme for readthedocs.org
Requires:       font(fontawesome) font(lato) font(robotoslab)

%description -n python%{python3_pkgversion}-%{srcname}
This is a prototype mobile-friendly sphinx theme for readthedocs.org.  It's currently in development
and includes some rtd variable checks that can be ignored if you're just trying to use it on your
project outside of that site.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# https://github.com/readthedocs/sphinx_rtd_theme/issues/1323
sed -i "s|docutils <0.19|docutils <0.21|" setup.cfg

sed -Ei -e "/extensions\.append\('readthedocs_ext\.readthedocs'\)/d" \
        -e "s/'readthedocs[^']*'(, ?)?//g" \
        tests/util.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

rst2html --no-datestamp README.rst README.html

%install
%pyproject_install

rm -fr %{buildroot}%{python3_sitelib}/%{srcname}/static/css/fonts
rm -fr %{buildroot}%{python3_sitelib}/%{srcname}/locale/*_T*

%check
%if %{without bootstrap}
%pytest
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.html
%{python3_sitelib}/%{srcname}-%{version}.dist-info/
%dir %{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}/__pycache__/
%{python3_sitelib}/%{srcname}/static/
%{python3_sitelib}/%{srcname}/*.html
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/theme.conf
%dir %{python3_sitelib}/%{srcname}/locale/
%{python3_sitelib}/%{srcname}/locale/sphinx.pot
%lang(da) %{python3_sitelib}/%{srcname}/locale/da/
%lang(de) %{python3_sitelib}/%{srcname}/locale/de/
%lang(en) %{python3_sitelib}/%{srcname}/locale/en/
%lang(es) %{python3_sitelib}/%{srcname}/locale/es/
%lang(et) %{python3_sitelib}/%{srcname}/locale/et/
%lang(fa_IR) %{python3_sitelib}/%{srcname}/locale/fa_IR/
%lang(fr) %{python3_sitelib}/%{srcname}/locale/fr/
%lang(hr) %{python3_sitelib}/%{srcname}/locale/hr/
%lang(hu) %{python3_sitelib}/%{srcname}/locale/hu/
%lang(it) %{python3_sitelib}/%{srcname}/locale/it/
%lang(lt) %{python3_sitelib}/%{srcname}/locale/lt/
%lang(nl) %{python3_sitelib}/%{srcname}/locale/nl/
%lang(pl) %{python3_sitelib}/%{srcname}/locale/pl/
%lang(pt) %{python3_sitelib}/%{srcname}/locale/pt/
%lang(pt_BR) %{python3_sitelib}/%{srcname}/locale/pt_BR/
%lang(ru) %{python3_sitelib}/%{srcname}/locale/ru/
%lang(sv) %{python3_sitelib}/%{srcname}/locale/sv/
%lang(tr) %{python3_sitelib}/%{srcname}/locale/tr/
%lang(zh_CN) %{python3_sitelib}/%{srcname}/locale/zh_CN/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> - 1.2.2-1
- update to 1.2.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.0-1
- initial build
